﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ReadAndAppendFileArray
{
    class Program
    {
        public static void Main()
        {
            string directory = @"c:\Temp";
            string fileName = "MyTextFile.txt";
            string fullPath = Path.Combine(directory, fileName);
            string[] createText = new string[1];
            string[] appendText = new string[4];

            // Vor dem Auslesen muss die
            // Existenz der Datei gerprüft werden
            if (!File.Exists(fullPath))
            {
                // Text, der in die Datei geschrieben
                // werden soll
                createText[0] = $"Hallo und herzlich willkommen: {Environment.UserName}";
                // Datei erzeugen
                File.WriteAllLines(fullPath, createText, Encoding.UTF8);
            }

            // Neuen Text an die Datei anhängen
            appendText[0] = Environment.NewLine;
            appendText[1] = "====================" + Environment.NewLine;
            appendText[2] = "Das ist angehängter Text!" + Environment.NewLine;
            appendText[3] = "====================" + Environment.NewLine;

            // Neuen Text anhängen
            File.AppendAllLines(fullPath, appendText, Encoding.UTF8);

            // Datei einlesen und auf Konsole ausgeben
            string[] readText = File.ReadAllLines(fullPath);

            foreach (string s in readText)
            {
                Console.WriteLine(s);
            }

            Console.ReadKey();
        }
    }
}
