﻿using System;
using System.IO;
using System.Text;

namespace StreamSample01
{
    class Program
    {
        public static void Main()
        {
            string path = @".\LoremIpsum.txt";

            // Datei mit Stream öffen und ausgeben
            using (FileStream fs = File.OpenRead(path))
            {
                // Byte-Array, in welches der Dateinhalt
                // geschrieben wird
                byte[] content = new byte[1024];
                
                // Encoding festlegen
                UTF8Encoding enc = new UTF8Encoding(true);

                // Byteweise vom Stream lesen
                while (fs.Read(content, 0, content.Length) > 0)
                {
                    Console.WriteLine(enc.GetString(content));
                }

                Console.ReadKey();
            }
        }        
    }
}
