﻿using System;
using System.Threading.Tasks;

namespace TaskSample02
{
    class Program
    {
        static void Main()
        {
            // Task starten
            Task t1 = Task.Run(() => {
                DoWork("0");
            }).ContinueWith((previousTask) => {
                Task.Run(() => {
                    DoWork("1");
                });
            }, TaskContinuationOptions.OnlyOnRanToCompletion);            

            Console.ReadKey();
        }

        static void DoWork(object data)
        {
            for (int i = 0; i < 1000; i++)
            {
                Console.Write(data);
            }
        }
    }
}
