﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ReadCSVFile
{
    class Program
    {
        static void Main(string[] args)
        {
            string fileName = @".\zuordnung_plz_ort.csv";

            string[] fileContent = File.ReadAllLines(fileName);

            var query = from csvline in fileContent
                        let data = csvline.Split(',')
                        select new
                        {
                            Id = Convert.ToInt32(data[0]),
                            Ort = data[1],
                            PLZ = data[2],
                            Bundesland = data[3]
                        };

            var list = query.ToList();
        }
    }
}
