﻿using System;

namespace ADONetAsyncSample01
{
    public class Order
    {
        public string CustomerId { get; set; }
        public DateTime OrderDate { get; set; }
        public DateTime ShippedDate { get; set; }
        public float Freight { get; set; }
        public string ShipName { get; set; }
        public string ShipAddress { get; set; }
        public string ShipCity { get; set; }
        public string ShipPostalCode { get; set; }
        public string ShipCountry { get; set; }

        public override string ToString()
        {
            var lb = Environment.NewLine;
            return $"Kuden-ID      : {this.CustomerId }{lb}" +
                   $"Auftragsdatum : {this.OrderDate.ToLongDateString()}{lb}" +
                   $"Verssandddatum: {this.ShippedDate.ToLongDateString()}{lb}" +
                   $"Versandgewicht: {this.Freight}{lb}" +
                   $"Empfänger     : {this.ShipName}{lb}" +
                   $"Straße        : {this.ShipAddress}{lb}" +
                   $"PLZ           : {this.ShipPostalCode}{lb}" +
                   $"Stadt         : {this.ShipCity}{lb}" +
                   $"Land          : {this.ShipCountry}{lb}";
        }
    }
}
