﻿using Npgsql;
using System;
using System.Data;

namespace ADONetDataSetSample01
{
    class Program
    {
        static string connString = "Host=localhost;" +
            "Username=postgres;Password=postgres;" +
            "Database=Northwind";
        static void Main(string[] args)
        {
            // DataSet erstellen
            DataSet ds = new DataSet();

            // Connection und Command
            NpgsqlConnection conn = new NpgsqlConnection(connString);
            NpgsqlCommand cmd = new NpgsqlCommand("SELECT category_id, " +
                "category_name, description FROM categories", conn);

            // DataAdapter erzeugen
            NpgsqlDataAdapter da = new NpgsqlDataAdapter(cmd);

            da.Fill(ds, "Categories");
            
            foreach(DataRow row in ds.Tables["Categories"].Rows)
            {
                int id = Convert.ToInt32(row["category_id"]);
                string name = row["category_name"].ToString();
                string desc = row["description"].ToString();

                Console.WriteLine($"{id} | {name} | {desc}");
            }            
        }
    }
}
