﻿using Npgsql;
using System;

namespace ADONetSample01
{
    class Program
    {
        static void Main(string[] args)
        {
            string connString = "Host=localhost;Port=5432;Username=postgres;Password=postgres;Database=Northwind";

            using (var conn = new NpgsqlConnection(connString))
            {
                // Verbindung zur Datenbank öffnen
                conn.Open();

                foreach (var p in conn.PostgresParameters)
                {
                    Console.WriteLine($"{p.Key}: {p.Value}");
                }
                
            }

            Console.ReadKey();
        }
    }
}
