﻿using Npgsql;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ADONetSample05
{
    class Program
    {
        static void Main(string[] args)
        {
            string connString = "Host=localhost;Username=postgres;Password=postgres;Database=Northwind";

            string deleteStmt = "DELETE FROM categories " +
                                "WHERE category_id = @category_id";

            using (var conn = new NpgsqlConnection(connString))
            {
                // Verbindung zur Datenbank öffnen
                conn.Open();

                // Command erzeugen
                using (var cmd = new NpgsqlCommand(deleteStmt, conn))
                {
                    // Command mit Parametern versorgen
                    cmd.Parameters.AddWithValue("category_id", 9);

                    // Command ausführen
                    cmd.ExecuteNonQuery();
                }
            }

            Console.ReadKey();
        }
    }
}
