﻿using System;
using System.Collections.Generic;
using System.Diagnostics;

namespace DebuggerSample_01
{
    //[DebuggerDisplay("Name: {FullName}")]
    class Person
    {
        public string FirstName;
        public string LastName;

        public Person(string first, string last)
        {
            this.FirstName = first;
            this.LastName = last;
        }

        public string FullName { get => $"{LastName}, {FirstName}"; }
    }

    public class Program
    {
        static void Main(string[] args)
        {
            List<Person> myFriends = new List<Person>();

            myFriends.Add(new Person("Max", "Mustermann"));

            foreach (var f in myFriends)
            {
                Console.WriteLine($"{f.LastName} {f.FirstName}");
            }
        }
    }
}
