﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfDataTemplateSample01.Model;

namespace WpfDataTemplateSample01
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = this.GetCustomerList();
        }

        private IList<Kunde> GetCustomerList()
        {
            IList<Kunde> kunden = new List<Kunde>();

            kunden.Add(new Kunde() { Nachname = "Mustermann", Vorname = "Max", PLZ = "12345", Ort = "Musterstadt", Strasse = "Musterstrasse 11" });
            kunden.Add(new Kunde() { Nachname = "Hirsch", Vorname = "Harry", PLZ = "54321", Ort = "Hirschhausen", Strasse = "Hirschweg 171" });
            kunden.Add(new Kunde() { Nachname = "Mustermann", Vorname = "Bea", PLZ = "98765", Ort = "Musterdorf", Strasse = "Nixwieweg 18" });
            kunden.Add(new Kunde() { Nachname = "Müller", Vorname = "Theo", PLZ = "58247", Ort = "Fantasiedorf", Strasse = "Dorfstrasse 4" });
            kunden.Add(new Kunde() { Nachname = "Fischer", Vorname = "Fritz", PLZ = "75349", Ort = "Fischerstadt", Strasse = "Fischerweg 23" });

            return kunden;
        }
    }
}
