﻿using System;
using System.Windows.Input;

namespace WpfMVVMSample01.Commands
{
    public class ShowInGoogleMapsCommand : ICommand
    {
        public event EventHandler CanExecuteChanged
        {
            add { CommandManager.RequerySuggested += value; }
            remove { CommandManager.RequerySuggested -= value; }
        }

        public bool CanExecute(object parameter)
        {            
            return (parameter != null) ? true : false;
        }

        public void Execute(object parameter)
        {
            System.Diagnostics
                .Process
                .Start($"https://www.google.de/maps/place/{parameter}");
        }
    }
}