﻿using System;

namespace GuessingAgain
{
    class Program
    {
        static void Main(string[] args)
        {
            // Klasse zum generieren von Zufallszahlen
            Random rnd = new Random();

            Console.Write("Geben Sie eine ganze Zahl zwischen 1 und 10 ein: ");

            int inputValue;
            int randomNumber = rnd.Next(1, 10);
            int numAttempts = 0;

            // Eingebene Zeichenfolge in int konvertieren
            if (int.TryParse(Console.ReadLine(), out inputValue))
            {
                numAttempts++;

                // Eingegebene Zahl und Zufallszahl vergleichen
                // die Zahlen sind gleich
                while (inputValue != randomNumber)
                {
                    Console.WriteLine();
                    Console.WriteLine("Bitte versuchen Sie es erneut ...");
                    Console.Write("Geben Sie eine ganze Zahl zwischen 1 und 10 ein: ");

                    int.TryParse(Console.ReadLine(), out inputValue);

                    numAttempts++;
                }

                Console.WriteLine($"Sie gewinnen nach {numAttempts} Versuchen!");
                Console.ReadKey();
            }
            // Es wurde keine gültige Integer-Zahl eingegeben!
            else
            {
                Console.WriteLine("Sie haben keine Zahl eingegeben!");
            }
        }
    }
}
