﻿using System;
using System.Globalization;

namespace StringFormatDateTimeCulture
{
    class Program
    {
        static void Main(string[] args)
        {
            DateTime date = new DateTime(2019, 1, 1, 12, 15, 30);
            CultureInfo culture = new CultureInfo("en-US");

            Console.WriteLine(String.Format(culture, "{0:d}", date));
            Console.WriteLine(String.Format(culture, "{0:D}", date));
            Console.WriteLine(String.Format(culture, "{0:f}", date));
            Console.WriteLine(String.Format(culture, "{0:F}", date));
            Console.WriteLine(String.Format(culture, "{0:g}", date));
            Console.WriteLine(String.Format(culture, "{0:G}", date));
            Console.WriteLine(String.Format(culture, "{0:M}", date));
            Console.WriteLine(String.Format(culture, "{0:s}", date));
            Console.WriteLine(String.Format(culture, "{0:t}", date));
            Console.WriteLine(String.Format(culture, "{0:T}", date));
            Console.WriteLine(String.Format(culture, "{0:u}", date));
            Console.WriteLine(String.Format(culture, "{0:Y}", date));

            Console.Read();
        }
    }
}
