﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace StringSplit
{
    class Program
    {
        static void Main(string[] args)
        {
            string original = "0; 1; 2; 3; 4; 5; 6; 7; 8; 9";
            Console.WriteLine($"Original: {original}");
            string[] substrings = original.Split(';');
            foreach (string s in substrings)
            {
                // Trim() aufrufen um Leerezeichen
                // zu entfernen, da beim ;
                // gesplittet wurde
                Console.WriteLine(s.Trim(' '));
            }

            // Ausgabe:
            // Original: 0; 1; 2; 3; 4; 5; 6; 7; 8; 9
            // 0
            // 1
            // 2
            // 3
            // 4
            // 5
            // 6
            // 7
            // 8
            // 9
        }
    }
}
