﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TimeSpanExample01
{
    class Program
    {
        static void Main(string[] args)
        {
            // 10.06.2019 12:25:30
            DateTime d1 = new DateTime(2019, 6, 10, 12, 25, 30);
            // 14.06.2019 18:15:15
            DateTime d2 = new DateTime(2019, 6, 14, 18, 15, 15);

            // Zeitspanne berechnen
            TimeSpan ts = new TimeSpan(d2.Ticks - d1.Ticks);

            // Aufschlüsseln in Tage, Stunden, Minuten, Sekunden
            string tage = ts.Days.ToString();
            string stunden = ts.Hours.ToString();
            string minuten = ts.Minutes.ToString();
            string sekunden = ts.Seconds.ToString();

            Console.WriteLine($"Vom {d1.ToString()} bis zum " +
              $" {d2.ToString()} sind es {tage} Tage, " +
              $"{stunden} Stunden, {minuten} Minuten " +
              $"und {sekunden} Sekunden!");

            Console.ReadKey();

            // Ausgabe:
            // Vom 10.06.2019 12:25:30 bis zum 14.06.2019 18:15:15 sind es 4 Tage, 5 Stunden, 49 Minuten und 45 Sekunden!
        }
    }
}
