﻿using System;

namespace TryCatchFinallySample01
{
    class Program
    {
        static void Main(string[] args)
        {
            int a = 10, b = 0;
            int result = 0;

            try
            {
                // Hier der Code, der potentiell den Fehler
                // verursacht
                result = a / b;
                Console.WriteLine($"Ergebnis von {a}\\{b}: {result}");
            }
            catch (Exception ex)
            {
                // Hier die Fehlerbehandlung
                Console.WriteLine("Division durch 0 ist nicht erlaubt!");
            }
            finally
            {
                // Sollte es diesen Bereich geben, 
                // so wird dieser immer aufgerufen,
                // egal ob eine Exception augetreten
                // ist oder nicht!
            }

            // Hier geht es im Programm weiter ...
        }
    }
}
