﻿using System;

namespace DelegateSample02
{
    class Program
    {
        public delegate float Calculate(float operatorA, float operatorB);

        static void Main(string[] args)
        {
            // Ausgabe: Ergebnis = 18 
            Ausgabe(8, 10, Add);

            // Ausgabe: Ergebnis = 2,4
            Ausgabe(12, 5, Divide);
        }

        public static float Add(float summandA, float summandB)
        {
            return summandA + summandB;
        }

        public static float Divide(float dividend, float divisor)
        {
            return dividend / divisor;
        }

        public static void Ausgabe(float d1, float d2, Calculate calculate)
        {
            Console.WriteLine($"Ergebnis = {calculate(d1, d2)}");
        }
    }
}
