﻿using System;

namespace ExtensionMethodSample01
{
    public static class MyStringExtension
    {
        /// <summary>
        /// Erweiterungsmethode um eine Zeichenkette 
        /// rückwärts auszugeben.
        /// </summary>
        /// <param name="this">Die Instanz auf der gearbeitet wird</param>
        /// <returns>Die umgedrehte Zeichenkette.</returns>
        public static string Reverse(this string stringToReverse)
        {
            if (stringToReverse.Length <= 1)
            {
                return stringToReverse;
            }

            char[] chars = stringToReverse.ToCharArray();
            Array.Reverse(chars);
            return new string(chars);
        }
    }
}
