﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LinqToObjects
{
    class Program
    {
        static void Main(string[] args)
        {
            var orderService = new OrderService();

            // Abfragesyntax
            IEnumerable<Order> orders1 =
                from o in orderService.Orders
                orderby c.ShippingDate
                select o;

            // Methodensyntax
            IEnumerable<Order> order2 = orderService.Orders
                .OrderBy(o => o.ShippingDate);

            Console.WriteLine("Ergebnis Abfragesyntax:");

            // Ergebnis der Abfragesyntax
            foreach (var c in customers1)
            {
                Console.WriteLine($"Nachname = {c.LastName}, Vorname = {c.FirstName}, PLZ = {c.Postcode}, Ort = {c.City}");
            }

            Console.WriteLine(System.Environment.NewLine);

            Console.WriteLine("Ergebnis Methodensyntax:");

            // Ergebnis Methodensyntax
            foreach (var c in customers2)
            {
                Console.WriteLine($"Nachname = {c.LastName}, Vorname = {c.FirstName}, PLZ = {c.Postcode}, Ort = {c.City}");
            }

            System.Console.ReadKey();
        }
    }
}
