﻿using System;
using System.IO;
using System.Security.AccessControl;

// https://www.codeproject.com/Articles/26085/File-Encryption-and-Decryption-in-C

namespace EncryptFileSimple
{
    class Program
    {
        public static void Main()
        {
            try
            {
                string fileName = "GeheimeDatei.txt";

                Console.WriteLine($"Verschlüssele Datei {fileName}");

                // Datei verschlüsseln
                AddEncryption(fileName);
                PrintFile(fileName);

                Console.WriteLine($"Entschlüssele Datei {fileName}");

                // Datei entschlüsseln
                RemoveEncryption(fileName);
                PrintFile(fileName);
                
                Console.WriteLine("Fertig!");
                Console.ReadKey();
            }
            catch (Exception e)
            {
                Console.WriteLine(e);
            }
        }


        // Datei verschlüsseln
        public static void AddEncryption(string fileName)
        {
            File.Encrypt(fileName);
        }

        // Datei entschlüsseln
        public static void RemoveEncryption(string fileName)
        {
            File.Decrypt(fileName);
        }

        public static void PrintFile(string fileName)
        {
            Console.WriteLine();
            Console.WriteLine(File.ReadAllText(fileName));
            Console.WriteLine();
        }
    }
}
