﻿using System;
using System.IO;
using System.Text;

namespace ReadAndAppendFile
{
    class Program
    {
        public static void Main()
        {
            string directory = @"c:\Temp";
            string fileName = "MyTextFile.txt";
            string fullPath = Path.Combine(directory, fileName);

            // Vor dem Auslesen muss die
            // Existenz der Datei gerprüft werden
            if (!File.Exists(fullPath))
            {
                // Text, der in die Datei geschrieben
                // werden soll
                string createText = $"Hallo und herzlich willkommen: {Environment.UserName}";
                // Datei erzeugen
                File.WriteAllText(fullPath, createText, Encoding.UTF8);
            }

            // Neuen Text an die Datei anhängen
            string appendText = Environment.NewLine;
            appendText += "====================" + Environment.NewLine;
            appendText += "Das ist angehängter Text!" + Environment.NewLine;
            appendText += "====================" + Environment.NewLine;

            // Neuen Text anhängen
            File.AppendAllText(fullPath, appendText, Encoding.UTF8);

            // Datei einlesen und auf Konsole ausgeben
            string readText = File.ReadAllText(fullPath);
            Console.WriteLine(readText);

            Console.ReadKey();
        }
    }
}
