﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TaskExceptionHandling01
{
    class Program
    {
        static void Main()
        {
            Task t = Task.Run(() =>
            {
                throw new InvalidOperationException();
            });

            try
            {
                t.Wait();
            }
            catch (AggregateException exception)
            {
                exception.Handle(ex =>
                {
                    Console.WriteLine($"FEHLER: {ex.Message}");
                    return true;
                });
            }

            Console.ReadKey();
        }
    }
}
