﻿using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ModularApplicationSample.Core
{
    public class ViewModelBase : BindableBase
    {
        private string title;

        /// <summary>
        /// View title
        /// </summary>
        public string Title
        {
            get { return title; }
            set { this.SetProperty<string>(ref this.title, value); }
        }

        private object icon;

        /// <summary>
        /// View icon
        /// </summary>
        public object Icon
        {
            get { return icon; }
            set { this.SetProperty<object>(ref this.icon, value); }
        }
    }
}
