﻿using Prism.Mvvm;

namespace ModularApplicationSample.Infrastructure.Model
{
    public class Postleitzahl : BindableBase
    {
        private int id;
        public int Id
        {
            get { return id; }
            set { SetProperty(ref id, value); }
        }

        private string ort;
        public string Ort
        {
            get { return ort; }
            set { SetProperty(ref ort, value); }
        }

        private string plz;
        public string PLZ
        {
            get { return plz; }
            set { SetProperty(ref plz, value); }
        }

        private string landkreis;
        public string Landkreis
        {
            get { return landkreis; }
            set { SetProperty(ref landkreis, value); }
        }

        private string bundesland;
        public string Bundesland
        {
            get { return bundesland; }
            set { SetProperty(ref bundesland, value); }
        }
    }
}