﻿using System;

namespace GuessingGame
{
    class Program
    {
        static void Main(string[] args)
        {
            // Benutzereingabe
            Console.WriteLine("Geben Sie eine ganze Zahl zwischen 1 und 10 ein: ");
            // Variabel zum Speichern der Benutzereingabe
            int inputValue;
            
            // Eingebene Zeichenfolge in int konvertieren
            if (int.TryParse(Console.ReadLine(), out inputValue))
            {
                // Zufallszahl erzeugen
                Random rnd = new Random();
                int randomNumber = rnd.Next(1, 10);

                // Eingegebene Zahl und Zufallszahl vergleichen
                // die Zahlen sind gleich
                if (inputValue == randomNumber)
                {
                    Console.WriteLine("-----------------------");
                    Console.WriteLine("- Sie haben gewonnen! -");
                    Console.WriteLine("-----------------------");
                }
                // die Zahlen sind ungleich
                else
                {
                    Console.WriteLine("Sie haben verloren :-(");
                    Console.WriteLine($"Die Zufallszahl war {randomNumber}");                    
                }
            }
            // Es wurde keine gültige Integer-Zahl eingegeben!
            else
            {
                Console.WriteLine("Sie haben keine Zahl eingegeben!");
            }

            Console.WriteLine("Vielen Dank, dass Sie gespielt haben!");
            Console.ReadKey();
        }
    }
}
