﻿using System;

namespace CalculateFirstAndLastDayForWeek
{
    class Program
    {
        static void Main(string[] args)
        {
            DateTime d1 = new DateTime(2019, 3, 12);
            DateTime d2 = new DateTime(2019, 4, 28);
            DateTime d3 = new DateTime(2019, 5, 1);
            DateTime d4 = new DateTime(2019, 12, 24);
            DateTime d5 = new DateTime(2020, 1, 1);

            DateTime[] dats = { d1, d2, d3, d4, d5 };
            
            foreach (DateTime date in dats)
            {
                int dayOfWeek = ((int)date.DayOfWeek == 0) ? 6 : (int)date.DayOfWeek - 1;
                // Ersten Tag der Woche bestimmen
                DateTime firstDay = date.AddDays(-dayOfWeek);
                // Letzten Tag der Woche bestimmen
                DateTime lastDay = firstDay.AddDays(6);

                Console.WriteLine($"Die Woche in die der {date.ToShortDateString()} " +
                                  $"fällt, beginnt mit dem {firstDay.ToShortDateString()} und " +
                                  $"endet mit dem {lastDay.ToShortDateString()}");
            }

            Console.ReadKey();
        }
    }
}
