﻿using System;

namespace StaticClassSample01
{
    public static class TemperatureConverter
    {
        public static double CelsiusToFahrenheit(string temperatureCelsius)
        {
            // Für Berechnungen in double konvertieren
            double celsius = Double.Parse(temperatureCelsius);

            // Grad Celsius in Fahrenheit
            double fahrenheit = (celsius * 9 / 5) + 32;

            return fahrenheit;
        }

        public static double FahrenheitToCelsius(string temperatureFahrenheit)
        {
            // Für Berechnungen in double konvertieren
            double fahrenheit = Double.Parse(temperatureFahrenheit);

            // Fahrenheit in Grad Celsius
            double celsius = (fahrenheit - 32) * 5 / 9;

            return celsius;
        }
    }

    class TestTemperatureConverter
    {
        static void Main()
        {
            Console.WriteLine("Bitte Konvertierung wählen ...");
            Console.WriteLine("1. Grad Celsius -> Fahrenheit");
            Console.WriteLine("2. Fahrenheit -> Grad Celsius");
            Console.Write(":");

            string selection = Console.ReadLine();
            double F, C = 0;

            switch (selection)
            {
                case "1":
                    Console.Write("Temperatur in Grad Celsius: ");
                    F = TemperatureConverter.CelsiusToFahrenheit(Console.ReadLine());
                    Console.WriteLine("Temperatur in Fahrenheit: {0:F2}", F);
                    break;

                case "2":
                    Console.Write("Temperatur in Fahrenheit: ");
                    C = TemperatureConverter.FahrenheitToCelsius(Console.ReadLine());
                    Console.WriteLine("Temperatur in Grad Celsius: {0:F2}", C);
                    break;

                default:
                    Console.WriteLine("Bitte Konvertierung wählen ...");
                    break;
            }

            // Console-Fenster offen halten
            Console.WriteLine("Beliebige Taste für EXIT drücken");
            Console.ReadKey();
        }
    }
}
