﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DelegateSample01
{
    class Program
    {
        delegate decimal Calculate(decimal operandA, decimal operandB);

        static void Main(string[] args)
        {
            // Delegate Variable
            Calculate calculate;

            // Addieren
            calculate = Add;
            decimal result = calculate(3, 8);

            // Dividieren
            calculate = Divide;
            result = calculate(3, 8);
        }

        static decimal Add(decimal summandA, decimal summandB)
        {
            return summandA + summandB;
        }

        static decimal Divide(decimal dividend, decimal divisor)
        {
            return dividend / divisor;
        }
    }
}
