﻿using System;

namespace GenericSample01
{
    class GenericClass<T>
    {
        public GenericClass(T value)
        {
            MyGenericProperty = value;
        }

        public T GenericMethod(T genericParameter)
        {
            // Generischen Parameter ausgeben
            Console.WriteLine($"Methoden-Parameter-Typ: " +
                $"{typeof(T).ToString()}, Wert: {genericParameter}");

            // Eigenschaft ausgeben
            Console.WriteLine($"Eigenschaften-Typ: " +
                $"{MyGenericProperty.GetType().ToString()}, " +
                $"value: {MyGenericProperty}");

            return genericParameter;
        }
        
        /// <summary>
        /// Generische Eigenschaft
        /// </summary>
        public T MyGenericProperty
        {
            get;
            set;
        }
    }
}
